GrailsUrlHandlerMapping (Grails 2.4.4)
Date: 2014-10-28

Package: org.codehaus.groovy.grails.web.servlet.mvc

## [Java] Class GrailsUrlHandlerMapping

- org.codehaus.groovy.grails.web.servlet.mvc.GrailsUrlHandlerMapping

- Handles URL mapping for Grails.

  Authors:
    Graeme Rocher

- - ### Field Summary

    Fields
    Modifiers | Name | Description
    --- | --- | ---
    `static java.lang.String` | `APPLICATION_CONTEXT_ID` |
    `static java.lang.String` | `APPLICATION_CONTEXT_TARGET_SOURCE` |

  - Inherited fields
    Fields inherited from class | Fields
    --- | ---
    `class org.springframework.web.servlet.handler.SimpleUrlHandlerMapping` | `PATH_WITHIN_HANDLER_MAPPING_ATTRIBUTE, BEST_MATCHING_PATTERN_ATTRIBUTE, INTROSPECT_TYPE_LEVEL_MAPPING, URI_TEMPLATE_VARIABLES_ATTRIBUTE, MATRIX_VARIABLES_ATTRIBUTE, PRODUCIBLE_MEDIA_TYPES_ATTRIBUTE, HIGHEST_PRECEDENCE, LOWEST_PRECEDENCE`
    `class org.springframework.web.servlet.handler.AbstractUrlHandlerMapping` | `PATH_WITHIN_HANDLER_MAPPING_ATTRIBUTE, BEST_MATCHING_PATTERN_ATTRIBUTE, INTROSPECT_TYPE_LEVEL_MAPPING, URI_TEMPLATE_VARIABLES_ATTRIBUTE, MATRIX_VARIABLES_ATTRIBUTE, PRODUCIBLE_MEDIA_TYPES_ATTRIBUTE, HIGHEST_PRECEDENCE, LOWEST_PRECEDENCE`

  - ### Methods Summary

    Methods
    Type | Name and description
    --- | ---
    `protected java.lang.Object` | `getHandlerInternal(javax.servlet.http.HttpServletRequest request)`

  - ### Inherited Methods Summary

    Inherited Methods
    Methods inherited from class | Name
    --- | ---
    `class org.springframework.web.servlet.handler.SimpleUrlHandlerMapping` | `org.springframework.web.servlet.handler.SimpleUrlHandlerMapping#initApplicationContext(), org.springframework.web.servlet.handler.SimpleUrlHandlerMapping#setMappings(java.util.Properties), org.springframework.web.servlet.handler.SimpleUrlHandlerMapping#setUrlMap(java.util.Map), org.springframework.web.servlet.handler.SimpleUrlHandlerMapping#getUrlMap(), org.springframework.web.servlet.handler.SimpleUrlHandlerMapping#getHandlerMap(), org.springframework.web.servlet.handler.SimpleUrlHandlerMapping#setRootHandler(java.lang.Object), org.springframework.web.servlet.handler.SimpleUrlHandlerMapping#getRootHandler(), org.springframework.web.servlet.handler.SimpleUrlHandlerMapping#setLazyInitHandlers(boolean), org.springframework.web.servlet.handler.SimpleUrlHandlerMapping#getHandler(javax.servlet.http.HttpServletRequest), org.springframework.web.servlet.handler.SimpleUrlHandlerMapping#getPathMatcher(), org.springframework.web.servlet.handler.SimpleUrlHandlerMapping#setAlwaysUseFullPath(boolean), org.springframework.web.servlet.handler.SimpleUrlHandlerMapping#setUrlDecode(boolean), org.springframework.web.servlet.handler.SimpleUrlHandlerMapping#setRemoveSemicolonContent(boolean), org.springframework.web.servlet.handler.SimpleUrlHandlerMapping#setOrder(int), org.springframework.web.servlet.handler.SimpleUrlHandlerMapping#getOrder(), org.springframework.web.servlet.handler.SimpleUrlHandlerMapping#setDefaultHandler(java.lang.Object), org.springframework.web.servlet.handler.SimpleUrlHandlerMapping#getDefaultHandler(), org.springframework.web.servlet.handler.SimpleUrlHandlerMapping#setPathMatcher(org.springframework.util.PathMatcher), org.springframework.web.servlet.handler.SimpleUrlHandlerMapping#setInterceptors([Ljava.lang.Object;), org.springframework.web.servlet.handler.SimpleUrlHandlerMapping#setUrlPathHelper(org.springframework.web.util.UrlPathHelper), org.springframework.web.servlet.handler.SimpleUrlHandlerMapping#getUrlPathHelper(), org.springframework.web.servlet.handler.SimpleUrlHandlerMapping#setServletContext(javax.servlet.ServletContext), org.springframework.web.servlet.handler.SimpleUrlHandlerMapping#setApplicationContext(org.springframework.context.ApplicationContext), org.springframework.web.servlet.handler.SimpleUrlHandlerMapping#getApplicationContext(), org.springframework.web.servlet.handler.SimpleUrlHandlerMapping#wait(long, int), org.springframework.web.servlet.handler.SimpleUrlHandlerMapping#wait(long), org.springframework.web.servlet.handler.SimpleUrlHandlerMapping#wait(), org.springframework.web.servlet.handler.SimpleUrlHandlerMapping#equals(java.lang.Object), org.springframework.web.servlet.handler.SimpleUrlHandlerMapping#toString(), org.springframework.web.servlet.handler.SimpleUrlHandlerMapping#hashCode(), org.springframework.web.servlet.handler.SimpleUrlHandlerMapping#getClass(), org.springframework.web.servlet.handler.SimpleUrlHandlerMapping#notify(), org.springframework.web.servlet.handler.SimpleUrlHandlerMapping#notifyAll()`
    `class org.springframework.web.servlet.handler.AbstractUrlHandlerMapping` | `org.springframework.web.servlet.handler.AbstractUrlHandlerMapping#getHandlerMap(), org.springframework.web.servlet.handler.AbstractUrlHandlerMapping#setRootHandler(java.lang.Object), org.springframework.web.servlet.handler.AbstractUrlHandlerMapping#getRootHandler(), org.springframework.web.servlet.handler.AbstractUrlHandlerMapping#setLazyInitHandlers(boolean), org.springframework.web.servlet.handler.AbstractUrlHandlerMapping#getHandler(javax.servlet.http.HttpServletRequest), org.springframework.web.servlet.handler.AbstractUrlHandlerMapping#getPathMatcher(), org.springframework.web.servlet.handler.AbstractUrlHandlerMapping#setAlwaysUseFullPath(boolean), org.springframework.web.servlet.handler.AbstractUrlHandlerMapping#setUrlDecode(boolean), org.springframework.web.servlet.handler.AbstractUrlHandlerMapping#setRemoveSemicolonContent(boolean), org.springframework.web.servlet.handler.AbstractUrlHandlerMapping#setOrder(int), org.springframework.web.servlet.handler.AbstractUrlHandlerMapping#getOrder(), org.springframework.web.servlet.handler.AbstractUrlHandlerMapping#setDefaultHandler(java.lang.Object), org.springframework.web.servlet.handler.AbstractUrlHandlerMapping#getDefaultHandler(), org.springframework.web.servlet.handler.AbstractUrlHandlerMapping#setPathMatcher(org.springframework.util.PathMatcher), org.springframework.web.servlet.handler.AbstractUrlHandlerMapping#setInterceptors([Ljava.lang.Object;), org.springframework.web.servlet.handler.AbstractUrlHandlerMapping#setUrlPathHelper(org.springframework.web.util.UrlPathHelper), org.springframework.web.servlet.handler.AbstractUrlHandlerMapping#getUrlPathHelper(), org.springframework.web.servlet.handler.AbstractUrlHandlerMapping#setServletContext(javax.servlet.ServletContext), org.springframework.web.servlet.handler.AbstractUrlHandlerMapping#setApplicationContext(org.springframework.context.ApplicationContext), org.springframework.web.servlet.handler.AbstractUrlHandlerMapping#getApplicationContext(), org.springframework.web.servlet.handler.AbstractUrlHandlerMapping#wait(long, int), org.springframework.web.servlet.handler.AbstractUrlHandlerMapping#wait(long), org.springframework.web.servlet.handler.AbstractUrlHandlerMapping#wait(), org.springframework.web.servlet.handler.AbstractUrlHandlerMapping#equals(java.lang.Object), org.springframework.web.servlet.handler.AbstractUrlHandlerMapping#toString(), org.springframework.web.servlet.handler.AbstractUrlHandlerMapping#hashCode(), org.springframework.web.servlet.handler.AbstractUrlHandlerMapping#getClass(), org.springframework.web.servlet.handler.AbstractUrlHandlerMapping#notify(), org.springframework.web.servlet.handler.AbstractUrlHandlerMapping#notifyAll()`

- - ### Field Detail

    - #### public static final java.lang.String APPLICATION_CONTEXT_ID

    - #### public static final java.lang.String APPLICATION_CONTEXT_TARGET_SOURCE

  - ### Method Detail

    - #### @java.lang.Override protected java.lang.Object getHandlerInternal(javax.servlet.http.HttpServletRequest request)